(* UDP File Transfer Protocol *)
(* solyga@gmx.de, 2019-03-17 *)
IMPLEMENTATION MODULE UFTP;

IMPORT IO, SO, Config;

PROCEDURE Message( s-: ARRAY OF CHAR );
BEGIN
  IO.WrStr( s );
  IO.WrLn();
END Message;

PROCEDURE ShowLens();
VAR
  b: SO.TBuffer;
  s: ARRAY [0..127] OF CHAR;
BEGIN
  IF ~ Config.data.dbg THEN RETURN END;
  SO.Init( b, s );
  SO.WrStr( b, 'UFTP.ver = ' );
  SO.WrCard( b, UFTP.ver, 1 );
  Message( s );
  SO.Reset( b );
  SO.WrStr( b, 'UFTP.lenMaxTel = ' );
  SO.WrCard( b, UFTP.lenMaxTel, 1 );
  Message( s );
  SO.Reset( b );
  SO.WrStr( b, 'UFTP.lenFrmOvr = ' );
  SO.WrCard( b, UFTP.lenFrmOvr, 1 );
  Message( s );
  SO.Reset( b );
  SO.WrStr( b, 'UFTP.lenMaxVar = ' );
  SO.WrCard( b, UFTP.lenMaxVar, 1 );
  Message( s );
  SO.Reset( b );
  SO.WrStr( b, 'UFTP.lenMaxFgm = ' );
  SO.WrCard( b, UFTP.lenMaxFgm, 1 );
  Message( s );
END ShowLens;

BEGIN
  ShowLens();
END UFTP.
